org.red5.server.util

## Class HttpConnectionUtil

- java.lang.Object
- - org.red5.server.util.HttpConnectionUtil

    public class HttpConnectionUtil
    extends Object

Utility for using HTTP connections.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`HttpConnectionUtil()`

### Method Summary

Methods
`static org.apache.http.impl.client.DefaultHttpClient` `getClient()` Returns a client with all our selected properties / params.
`int` `getConnectionTimeout()`
`static void` `handleError(org.apache.http.HttpResponse response)` Logs details about the request error.
`void` `setConnectionTimeout(int connectionTimeout)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpConnectionUtil

    public HttpConnectionUtil()

### Method Detail

#### getClient

    public static final org.apache.http.impl.client.DefaultHttpClient getClient()

Returns a client with all our selected properties / params.

Returns:
  client

#### handleError

    public static void handleError(org.apache.http.HttpResponse response)
                            throws org.apache.http.ParseException,
                                   IOException

Logs details about the request error.

Parameters:
  `response` -
Throws:
  `IOException`
  `org.apache.http.ParseException`

#### getConnectionTimeout

    public int getConnectionTimeout()

Returns:
  the connectionTimeout

#### setConnectionTimeout

    public void setConnectionTimeout(int connectionTimeout)

Parameters:
  `connectionTimeout` - the connectionTimeout to set